# Interface methods for submodule: NeighborhoodOperator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NeighborhoodProxy as _NeighborhoodProxy


# Interface methods for class: NeighborhoodOperator
class NeighborhoodOperatorProxy(_NeighborhoodProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetDirection(self, direction: int) -> None:
		""""""
		...

	def GetDirection(self) -> int:
		""""""
		...

	def CreateDirectional(self) -> None:
		""""""
		...

	@overload
	def CreateToRadius(self, arg0: Sequence[int]) -> None:
		""""""
		...

	@overload
	def CreateToRadius(self, arg0: int) -> None:
		""""""
		...

	def FlipAxes(self) -> None:
		""""""
		...

	def ScaleCoefficients(self, arg0: float) -> None:
		""""""
		...

